## org.apache.batik.transcoder
Interface Transcoder

All Known Implementing Classes:
  AbstractTranscoder

public interface Transcoder

This class defines an API for transcoding.

Method Summary
`void` `addTranscodingHint(TranscodingHints.Key key, java.lang.Object value)` Sets the value of a single preference for the transcoding process.
`ErrorHandler` `getErrorHandler()` Returns the error handler this transcoder uses to report warnings and errors, or null if any.
`TranscodingHints` `getTranscodingHints()` Returns the transcoding hints of this transcoder.
`void` `removeTranscodingHint(TranscodingHints.Key key)` Removes the value of a single preference for the transcoding process.
`void` `setErrorHandler(ErrorHandler handler)` Sets the error handler this transcoder may use to report warnings and errors.
`void` `setTranscodingHints(java.util.Map hints)` Replaces the values of all preferences for the transcoding algorithms with the specified hints.
`void` `setTranscodingHints(TranscodingHints hints)` Sets the values of all preferences for the transcoding algorithms with the specified hints.
`void` `transcode(TranscoderInput input, TranscoderOutput output)` Transcodes the specified input in the specified output.

Method Detail

### transcode

    public void transcode(TranscoderInput input,
                          TranscoderOutput output)
                   throws TranscoderException

  Transcodes the specified input in the specified output.

  Parameters:
    `input` - the input to transcode
    `output` - the ouput where to transcode
  Throws:
    `TranscoderException` - if an error occured while transcoding

### getTranscodingHints

    public TranscodingHints getTranscodingHints()

  Returns the transcoding hints of this transcoder.

### addTranscodingHint

    public void addTranscodingHint(TranscodingHints.Key key,
                                   java.lang.Object value)

  Sets the value of a single preference for the transcoding process.

  Parameters:
    `key` - the key of the hint to be set
    `value` - the value indicating preferences for the specified hint category.

### removeTranscodingHint

    public void removeTranscodingHint(TranscodingHints.Key key)

  Removes the value of a single preference for the transcoding process.

  Parameters:
    `key` - the key of the hint to remove

### setTranscodingHints

    public void setTranscodingHints(java.util.Map hints)

  Replaces the values of all preferences for the transcoding algorithms with the specified hints.

  Parameters:
    `hints` - the rendering hints to be set

### setTranscodingHints

    public void setTranscodingHints(TranscodingHints hints)

  Sets the values of all preferences for the transcoding algorithms with the specified hints.

  Parameters:
    `hints` - the rendering hints to be set

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Sets the error handler this transcoder may use to report warnings and errors.

  Parameters:
    `handler` - to ErrorHandler to use

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Returns the error handler this transcoder uses to report warnings and errors, or null if any.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.